<?php
/**
 * arrayExist Validator class file.
 *
 * PHP Version 5.1
 *
 * @category Vencidi
 * @package  Extensions
 * @author   Loren <wiseloren@yiiframework.com>
 * @license  http://www.opensource.org/licenses/mit-license.php MIT
 * @link     http://www.vencidi.com/ Vencidi
 * @since    3.0
 */

/**
 * arrayExist Validates an array of foriegn keyed selections
 *
 * PHP Version 5.1
 *
 * @category Vencidi
 * @package  Widget
 * @author   Loren <wiseloren@yiiframework.com>
 * @license  http://www.opensource.org/licenses/mit-license.php MIT
 * @version  Release: 1.0
 * @link     http://www.vencidi.com/ Vencidi
 * @since    3.0
 */
class arrayExist extends CExistValidator
{
    /**
     * Validates the attribute of the object.
     * If there is any error, the error message is added to the object.
     * @param CModel $object the object being validated
     * @param string $attribute the attribute being validated
     */
    protected function validateAttribute($object,$attribute)
    {
        $value=$object->$attribute;

        // A little hackish, but functional
        foreach ($value as $v) {
            $object->$attribute = $v;
            parent::validateAttribute($object,$attribute);
        }

        $object->$attribute = $value;
    }
}
?>